Name:          python-zope-event
Version:       4.4
Release:       1mamba
Summary:       Very basic event publishing system
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://pypi.python.org/pypi/zope.event
Source:        https://pypi.debian.net/zope.event/zope.event-%{version}.tar.gz
License:       Zope Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
The zope.event package provides a simple event system.

It provides:
* An event publishing system
* A very simple event-dispatching system on which more sophisticated event dispatching systems can be built.
  For example, a type-based event dispatching system that builds on zope.event can be found in zope.component.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n zope.event-%{version}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

# remove documentation from wrong path
#rm -f %{buildroot}%{python_sitearch}/zope/event/*.txt

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz,;\,\.txt$,d" %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc COPYRIGHT.txt LICENSE.txt
#%doc src/zope/event/*.txt

%changelog
* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4-1mamba
- update to 4.4

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Sun Oct 18 2015 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 4.0.3-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2-2mamba
- python 2.7 mass rebuild

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Thu Nov 29 2012 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Tue Dec 20 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.5.1-1mamba
- update to 3.5.1

* Wed Oct 13 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.5.0-1mamba
- package created by autospec
